View Issue Details

IDProjectCategoryView StatusLast Update
0001490OpenMPTGeneralpublic2021-09-15 15:10
ReporterSaga Musix Assigned ToSaga Musix  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.29.12.00 / libopenmpt 0.5.11 (current stable) 
Target VersionOpenMPT 1.29.13.00 / libopenmpt 0.5.12 (upcoming stable)Fixed in VersionOpenMPT 1.29.13.00 / libopenmpt 0.5.12 (upcoming stable) 
Summary0001490: Freeze when file dialog tries to display overly long tooltip of file type selector on mixed-DPI screens
Description

Prerequisites:

When hovering the file type dropdown in the Open File dialog, OpenMPT will simply freeze. Looking at the stack trace, Windows ends up in an infinite loop in its tooltip handling code due to the overly long "All Modules" filter string. The same happens if "Other Formats" is chosen from the dropdown.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0000627 assignedSaga Musix Make OpenMPT completely DPI-aware 

Activities

Saga Musix

Saga Musix

2021-08-24 16:46

administrator   ~0004845

Last edited: 2021-08-27 17:24

Only way to workaround this so far seems to deliberately include a shorter (*.x;*.y;*.z) string in each filter.

Saga Musix

Saga Musix

2021-08-28 20:54

administrator   ~0004846

Worked around in r15587 (trunk) / r15588 (1.29) by shortening the displayed strings.

Saga Musix

Saga Musix

2021-09-13 21:09

administrator   ~0004870

r15684 identified a few more troublesome dialogs.

Issue History

Date Modified Username Field Change
2021-08-24 16:25 Saga Musix New Issue
2021-08-24 16:42 Saga Musix Description Updated
2021-08-24 16:46 Saga Musix Note Added: 0004845
2021-08-27 17:24 Saga Musix Note Edited: 0004845
2021-08-28 20:54 Saga Musix Note Added: 0004846
2021-08-28 20:54 Saga Musix Assigned To => Saga Musix
2021-08-28 20:54 Saga Musix Status new => assigned
2021-08-28 20:55 Saga Musix Status assigned => resolved
2021-08-28 20:55 Saga Musix Resolution open => fixed
2021-08-28 20:55 Saga Musix Fixed in Version => OpenMPT 1.29.13.00 / libopenmpt 0.5.12 (upcoming stable)
2021-08-28 20:55 Saga Musix Target Version => OpenMPT 1.29.13.00 / libopenmpt 0.5.12 (upcoming stable)
2021-09-13 21:09 Saga Musix Note Added: 0004870
2021-09-15 15:10 Saga Musix Relationship added related to 0000627